commit: 88c3a146ccb4828f8bb33c248187a65a045b15f5
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 25 19:06:45 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Feb 25 19:06:45 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88c3a146
dev-python/pip: Version Bump
Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pip/Manifest | 1 +
dev-python/pip/pip-8.0.3.ebuild | 70 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index 0c8d191..2e5b2bc 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -1,2 +1,3 @@
DIST pip-7.1.2.tar.gz 1049170 SHA256
ca047986f0528cfa975a14fb9f7f106271d4e0c3fe1ddced6c1db2e7ae57a477 SHA512
78082afe6b559bf87f91ae9b6d304cfbfce00206e09be42fdae9d449a55cd8d968df6873e834191d0b0e6baae29e72eb3eee42386ff7c5dc9c29b6c28b754449
WHIRLPOOL
953fdc9104f3ac34c9104ec93948f58c4b0e193f18da60d3247d801c283c574490f8b91146e4278888c0b920090f537095c1a1693ca352d062dd98473390fdc9
DIST pip-8.0.2.tar.gz 1130183 SHA256
46f4bd0d8dfd51125a554568d646fe4200a3c2c6c36b9f2d06d2212148439521 SHA512
f2660725da4efa156c6c0f6cb9ba3f10e8b6dd2fc9113e9a8754a59f38ee6161e5a648f9dbcf8853ef85a85d3164bcaac3a7032ac2057e92f331a337cacfc5d9
WHIRLPOOL
abc88372746193686910ee127ac3f6f4bb7f3a5d7f897f705c2e43ea91d60c55ed26faf5e6acddd1d7e01772cbff4836195dcf22f9fc9dec30ad8c89986db778
+DIST pip-8.0.3.tar.gz 1131758 SHA256
30f98b66f3fe1069c529a491597d34a1c224a68640c82caf2ade5f88aa1405e8 SHA512
744111288dd86580e55a4eaeebcaab7b5fdd9e2ea47500e3febe2ce0a282b074f0c687d40a764b98bc54e0bf50748506eb8a5e220a095f2fe655f5cb42ba47c1
WHIRLPOOL
5bd7824ae4a311d98e47ccbf5fcc65b06579d30c0baa58357838935fd2646e87a610e76b22704b20d0c9379c321b878b409639e3604e725f2f08f83a8d7f1dda
diff --git a/dev-python/pip/pip-8.0.3.ebuild b/dev-python/pip/pip-8.0.3.ebuild
new file mode 100644
index 0000000..9756daa
--- /dev/null
+++ b/dev-python/pip/pip-8.0.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+PYTHON_REQ_USE="threads(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Installs python packages -- replacement for easy_install"
+HOMEPAGE="https://pip.pypa.io/ https://pypi.python.org/pypi/pip/
https://github.com/pypa/pip/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
~amd64-linux ~x86-linux"
+SLOT="0"
+
+# Check pip/_vendor/vendor.txt for this
+#VENDOR_DEPEND="
+# >=dev-python/distlib-0.2.1[${PYTHON_USEDEP}]
+# >=dev-python/html5lib-0.9999999[${PYTHON_USEDEP}]
+# >=dev-python/six-1.9[${PYTHON_USEDEP}]
+# >=dev-python/colorama-0.3.6[${PYTHON_USEDEP}]
+# >=dev-python/requests-2.9.1-r2[${PYTHON_USEDEP}]
+# >=dev-python/CacheControl-0.11.5[${PYTHON_USEDEP}]
+# >=dev-python/lockfile-0.12.2[${PYTHON_USEDEP}]
+# >=dev-python/progress-1.2[${PYTHON_USEDEP}]
+# >=dev-python/packaging-16.0[${PYTHON_USEDEP}]
+# >=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
+# >=dev-python/pyparsing-2.0.7[${PYTHON_USEDEP}]
+# virtual/python-ipaddress[${PYTHON_USEDEP}]
+#"
+# https://github.com/pypa/pip/issues/3057
+#RDEPEND="${VENDOR_DEPEND}
+# >=dev-python/setuptools-19.2[${PYTHON_USEDEP}]
+# <dev-python/setuptools-19.4[${PYTHON_USEDEP}]
+#"
+#DEPEND="${RDEPEND}"
+
+# required test data isn't bundled with the tarball
+RESTRICT="test"
+
+#PATCHES=(
+# "${FILESDIR}"/${PN}-6.0.2-disable-version-check.patch
+# "${FILESDIR}"/${PN}-8.0.0-unbundle.patch
+# )
+
+#python_prepare_all() {
+# mv pip/_vendor/__init__.py "${T}" || die
+# rm -r pip/_vendor/* || die
+# mv "${T}"/__init__.py pip/_vendor/__init__.py || die
+#
+# distutils-r1_python_prepare_all
+#}
+
+python_install_all() {
+ local DOCS=( AUTHORS.txt docs/*.rst )
+ distutils-r1_python_install_all
+
+ COMPLETION="${T}"/completion.tmp
+
+ "${PYTHON}" -m pip completion --bash > "${COMPLETION}" || die
+ newbashcomp "${COMPLETION}" ${PN}
+
+ "${PYTHON}" -m pip completion --zsh > "${COMPLETION}" || die
+ insinto /usr/share/zsh/site-functions
+ newins "${COMPLETION}" _pip
+}